commit:     aba9bb58fceaf075f2829dcbfc3f9ab918a23a68
Author:     Andreas K. Hüttel <dilfridge <AT> gentoo <DOT> org>
AuthorDate: Sat Oct  1 16:31:38 2022 +0000
Commit:     Andreas K. Hüttel <dilfridge <AT> gentoo <DOT> org>
CommitDate: Sat Oct  1 16:32:37 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=aba9bb58

dev-util/catalyst: Version bump 3.0.22

Signed-off-by: Andreas K. Hüttel <dilfridge <AT> gentoo.org>

 dev-util/catalyst/Manifest               |  1 +
 dev-util/catalyst/catalyst-3.0.22.ebuild | 73 ++++++++++++++++++++++++++++++++
 2 files changed, 74 insertions(+)

diff --git a/dev-util/catalyst/Manifest b/dev-util/catalyst/Manifest
index 02379c1ffa34..cd53736eaea9 100644
--- a/dev-util/catalyst/Manifest
+++ b/dev-util/catalyst/Manifest
@@ -1 +1,2 @@
 DIST catalyst-3.0.21.tar.bz2 620472 BLAKE2B 
6ecf59edde24cbec6d072a31680b75e2e7f142e267b43783473dc607b189d5091b6ca2b7bd02e88a6528a7bccea8441fce21c74aed6623ec14d701557fb4d267
 SHA512 
e2c58a562508e25465186a5d9771040ddb9f00104943a6434489e5ef01da220ac0330339f741d023717c8d1df6ec2bf765654fabe4097d93d3086ef9005a294c
+DIST catalyst-3.0.22.tar.bz2 620528 BLAKE2B 
f0eb5bf1052ba65bcdab4a14fe8ab564b6396c8a7271ee16c664b90c595df2a7bcda480279d64e0c7c6ff2045e0119a6a3afec75819a673ae721e77587e1f2b2
 SHA512 
c2b2d20ee6581b7c9c837fd64e798b0d1b0e5cc00346827cdf7154af8e8b6e279d32ab0d7f10314aa8d50923065e8b1121d2c01a506521cdae04736769cf6ba4

diff --git a/dev-util/catalyst/catalyst-3.0.22.ebuild 
b/dev-util/catalyst/catalyst-3.0.22.ebuild
new file mode 100644
index 000000000000..282eccf985ea
--- /dev/null
+++ b/dev-util/catalyst/catalyst-3.0.22.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+if [[ ${PV} == *9999* ]]; then
+       SRC_ECLASS="git-r3"
+       EGIT_REPO_URI="https://anongit.gentoo.org/git/proj/catalyst.git";
+       EGIT_BRANCH="master"
+else
+       
SRC_URI="https://gitweb.gentoo.org/proj/catalyst.git/snapshot/${P}.tar.bz2";
+       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86"
+fi
+
+PYTHON_COMPAT=( python3_{8..10} )
+DISTUTILS_USE_SETUPTOOLS=no
+
+inherit distutils-r1 ${SRC_ECLASS}
+
+DESCRIPTION="Release metatool used for creating releases based on Gentoo Linux"
+HOMEPAGE="https://wiki.gentoo.org/wiki/Catalyst";
+
+LICENSE="GPL-2+"
+SLOT="0"
+IUSE="ccache doc +iso system-bootloader"
+
+DEPEND="
+       app-text/asciidoc
+       >=dev-python/snakeoil-0.6.5[${PYTHON_USEDEP}]
+       dev-python/fasteners[${PYTHON_USEDEP}]
+"
+RDEPEND="
+       >=dev-python/snakeoil-0.6.5[${PYTHON_USEDEP}]
+       dev-python/fasteners[${PYTHON_USEDEP}]
+       >=dev-python/pydecomp-0.3[${PYTHON_USEDEP}]
+       app-arch/lbzip2
+       app-crypt/shash
+       sys-fs/dosfstools
+       || (
+               app-arch/tar[xattr]
+               app-arch/libarchive[xattr]
+       )
+       amd64? ( >=sys-boot/syslinux-3.72 )
+       x86? ( >=sys-boot/syslinux-3.72 )
+       ccache? ( dev-util/ccache )
+       iso? ( app-cdr/cdrtools )
+       kernel_linux? ( app-misc/zisofs-tools >=sys-fs/squashfs-tools-2.1 )
+"
+PDEPEND="system-bootloader? ( >=sys-apps/memtest86+-5.01-r4
+                               sys-boot/grub:2
+                               amd64? ( 
sys-boot/grub[grub_platforms_efi-32,grub_platforms_efi-64] )
+                               x86? ( sys-boot/grub[grub_platforms_efi-32] )
+                               sys-boot/syslinux
+                               sys-boot/shim )"
+
+python_prepare_all() {
+       python_setup
+       echo VERSION="${PV}" "${PYTHON}" setup.py set_version
+       VERSION="${PV}" "${PYTHON}" setup.py set_version || die
+       distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+       # build the man pages and docs
+       emake
+}
+
+python_install_all() {
+       distutils-r1_python_install_all
+       if use doc; then
+               dodoc files/HOWTO.html files/docbook-xsl.css
+       fi
+}

Reply via email to